EDIT - feature request #5021
feature request # 5020 (New): [MASTER] Refactor / Redesign

TreeNodeDropAdapterAssistant should use RemotingMoveTaxonNodeHandler
06/23/2015 10:31 AM - Cherian Mathew

Status: Rejected Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: normal

Description

Currently the TreeNodeDropAdapterAssistant duplicates most of the functionality implemented in the
RemotingMoveTaxonNodeHandler and should call relevant methods in the handler instead.

This may also require a bit of refactoring in the handler

History

#1 - 09/21/2015 03:54 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to c.mathew -

- Category changed from architecture to taxeditor

#2 - 11/20/2015 10:53 AM - Cherian Mathew

- Target version changed from Remoting 5.0 to Remoting 6.0

#3 - 04/29/2017 12:46 AM - Andreas Miiller
- Description updated

- Assignee changed from Cherian Mathew to Katja Luther

is this still an open issue?

#4 - 05/12/2018 03:40 PM - Andreas Miuller

- Target version changed from Remoting 6.0 to Release 5.1

is this still an open issue?

#5 - 05/12/2018 03:40 PM - Andreas Miuller

- Private changed from Yes to No

#6 - 06/28/2018 12:06 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#7 - 08/17/2018 03:50 PM - Andreas Miller

- Target version changed from Release 5.2 to Release 5.3

#8 - 08/21/2018 01:50 PM - Katja Luther
- Status changed from New to Rejected

- Target version deleted (Release 5.3)

| think this is obsolete because the functionality is now in the service method which is used by both classes.
